/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ab0pr2_cv2;

/**
 *jako singleton / privatni konstruktor + metoda getInstance()
 * @author hapallen
 */
public class SpolecnaData {
    //nemusim je instanciovat, ale pak se v getInstance() musim dotazovat, zda jsou null
    // private static SpolecnaData data;

    private static SpolecnaData data = new SpolecnaData();

    private double delkaHranyMaleKostky = 3;
    private double delkaHranyVelkeKostky = 6;
    private double cenaBarvy = 2.5;
     private double cenaDreva = 10000; // za m^3

    private SpolecnaData() {
    }

    public static SpolecnaData getInstance() {
        //pokud mam instanciaci jiz u deklarace promenne nemusim kontrolovat null
        // if(data == null){
        //     return new SpolecnaData();
        // }
        return data;
    }


    /*
     * muzou jen gettery, pokud nechteji menit jednotlive polozky
     * POZOR, nesmi byt getter a setter na data.
     * settery mohou  kontrolovat zaporne hodnoty
     *
     */


    public double getCenaBarvy() {
        return cenaBarvy;
    }

    public void setCenaBarvy(double cenaBarvy) {
        this.cenaBarvy = cenaBarvy;
    }

    public double getCenaDreva() {
        return cenaDreva;
    }

    public void setCenaDreva(double cenaDreva) {
        this.cenaDreva = cenaDreva;
    }

    public double getDelkaHranyMaleKostky() {
        return delkaHranyMaleKostky;
    }

    public void setDelkaHranyMaleKostky(double delkaHranyMaleKostky) {
        this.delkaHranyMaleKostky = delkaHranyMaleKostky;
    }

    public double getDelkaHranyVelkeKostky() {
        return delkaHranyVelkeKostky;
    }

    public void setDelkaHranyVelkeKostky(double delkaHranyVelkeKostky) {
        this.delkaHranyVelkeKostky = delkaHranyVelkeKostky;
    }


}
