/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ab0pr2_cv2;

import java.awt.Color;

/**
 *
 * @author hapallen
 */
public abstract class StavebniDil {

    private Color barva;
    private TypKostky typ;

    public StavebniDil(Color barva, TypKostky typ) {
        this.barva = barva;
        this.typ = typ;
    }

    public abstract double getObjem();

    public abstract double getPlochaPovrchu();

    public double getRozmer() {
        SpolecnaData data = SpolecnaData.getInstance();
        if (this.typ == TypKostky.PRO_MLADSI) {
            return data.getDelkaHranyVelkeKostky();
        }
        return data.getDelkaHranyMaleKostky();
    }

    @Override
    public boolean equals(Object obj) {
        if(obj == null) {
            return false;
        }
        if(!(obj instanceof StavebniDil)){
            return false;
        }
        StavebniDil stavebniDil = (StavebniDil) obj;

        return ((this.getClass()== stavebniDil.getClass())  && this.barva.equals(stavebniDil.getBarva()) && this.typ.equals(stavebniDil.getTyp()));
    }

    @Override
    public String toString() {
        return super.toString();
    }



    public Color getBarva() {
        return barva;
    }

    public void setBarva(Color barva) {
        this.barva = barva;
    }

    public TypKostky getTyp() {
        return typ;
    }

    public void setTyp(TypKostky typ) {
        this.typ = typ;
    }
}
